PHP Classes
elePHPant
Icontem

Let's move on already

Recommend this page to a friend!

      PHP Classes blog  >  Features and Extensio...  >  All threads  >  Let's move on already  >  (Un) Subscribe thread alerts  
Subject:Let's move on already
Summary:We need to cut off the baggage and move on to the new version
Messages:2
Author:Stefan Jibrail Froelich
Date:2015-03-16 14:26:22
Update:2015-03-16 17:21:25
 

 


  1. Let's move on already   Reply   Report abuse  
Stefan Jibrail Froelich - 2015-03-16 14:42:43
Let me quote Arturs Sosins: "It tells all about the baggage that PHP was taking from each version to version, which..."

Yet, this podcast is littered with, people won't upgrade because of x or y being removed.

Seriously, if we are serious, we will all remove the rubbish and move on. After its a whole new version. Not just any version, we skipped a version for this one. Why can't we just make a clean break and move php development into a new league.

Use php 7 for new projects and use the last php 5 for your old. Let's finally get some consistency and clean up the language. Let php 7 break old code. After all, semantic versioning allows for this. 5 and 7 should not be the same thing.

  2. Re: Let's move on already   Reply   Report abuse  
Manuel Lemos - 2015-03-16 17:21:25 - In reply to message 2 from Stefan Jibrail Froelich
I agree with you, if people want PHP to improve, new features need to be added and inconsistencies need to be removed to make it a cleaner language.

PHP 7 is a major new version, so this is the right time to introduce major changes.

As for people that won't upgrade, we can't do nothing, they will not upgrade for their own reasons.

This podcast was not being in favor or against of people that do not upgrade. It is more to let PHP developers know what major changes will happen that may affect their code or not.

As for people staying in PHP 5, that may work for a while, but once PHP 5 stops being supported they may need to deal versions with security vulnerabilities and expose their sites to attacks.

For instance, PHP 5.4 will stop getting security fixes once PHP 7 is released. For later PHP 5 versions, they will still be maintained for a while but after that it is better that sites have upgraded to newer versions.